User -- Update

Updates the provided fields for an existing user.

Added on March 22, 2018 for API v2.

Rate limit: 1200 per minute.

Path Params
string
required

The user's id. ('me' can be used if you are using a user level API key)

Body Params
admin_office_ids
array of int64s | null

The list of admin office IDs.

This is used to set the user as an office admin for the offices with the provided IDs.

admin_office_ids
emails
array of strings | null

The user's emails.

This can be used to add, remove, or re-order emails. The first email in the list is the user's primary email.

emails
string | null

The user's new extension number.

Extensions are optional in Dialpad and turned off by default. If you want extensions please contact support to enable them.

string | null

[single-line only]

The user's first name.

forwarding_numbers
array of strings | null

A list of phone numbers that should be dialed in addition to the user's Dialpad number(s) upon receiving a call.

forwarding_numbers
boolean | null

Whether or not the user is enabled to dial internationally.

boolean | null

Whether or not the user is a super admin. (company level administrator)

string | null

[single-line only]

The user's job title.

boolean | null
Defaults to true

Whether or not to keep phone numbers when switching to a support license.

Note: Phone numbers require additional number licenses under a support license.

string | null

[single-line only]

The user's last name.

string | null
enum

The user's license type.

Changing this affects billing for the user. For a Sell license, specify the type as agents. For a Support license, specify the type as support.

int64 | null

The user's office id.

If provided, the user will be moved to this office. For international offices, the user must not have phone numbers assigned. Once the transfer is complete, your admin can add the phone numbers via the user assign number API. Only supported on paid accounts and there must be enough licenses to transfer the user to the destination office.

phone_numbers
array of strings | null

A list of the phone number(s) assigned to this user.

This can be used to re-order or remove numbers. To assign a new number, use the assign number API instead.

phone_numbers
presence_status
object | null

The presence status can be seen when you hover your mouse over the presence state indicator.

NOTE: this is only used for Highfive and will be deprecated soon.

Presence status will be set to "{provider}: {message}" when both are provided. Otherwise, presence status will be set to "{provider}".

"type" is optional and presence status will only include predefined templates when "type" is provided. Please refer to the "type" parameter to check the supported types.

To clear the presence status, make an api call with the "presence_status" param set to empty or null. ex: "presence_status": {} or "presence_status": null

Translations will be available for the text in predefined templates. Translations for others should be provided.

string | null
enum

The user's state.

This is used to suspend or re-activate a user.

Allowed:
Response

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json